Name:       kchildlock
Version:    0.90.4.2
Release:    6%{?dist}
License:    GPLv2
Source0:    http://downloads.sourceforge.net/kchildlock/kchildlock/0.90.4.2/kchildlock-0.90.4.2.tar.gz 

Summary:    KDE Parental Control Application 
URL:        http://sourceforge.net/projects/kchildlock/ 

BuildRequires:  kdelibs4-devel
BuildRequires:  cmake >= 2.6

%description
kchildlock is a tool to monitor and restrict the time a children spends on the
computer. The limits can be specified per day of the week, by lower and upper
hour limits, maximum daily usage time, and maximum weekly usage time. The same
restriction limits can be applied to applications based on the user login. It
requires the KDE4 Desktop.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform} 

%install
make install/fast DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

%find_lang %{name} --with-kde

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING INSTALL README TODO ChangeLog 
%{_kde4_libdir}/kde4/*
%{_kde4_configdir}/kchildlockrc
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_datadir}/kde4/services/*
%{_localstatedir}/opt/%{name}/

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 10 2012 Minh Ngo <minh@fedoraproject.org> 0.90.4.2-4
- Removing gtk2 requirement

* Sat Nov 10 2012 Minh Ngo <minh@fedoraproject.org> 0.90.4.2-3
- using %find_lang --with-kde macro

* Sun Nov 04 2012 Minh Ngo <minh@fedoraproject.org> 0.90.4.2-2
- Changing the source archive URL (according to recommendations
for SourceForge
- Fixing kdelibs build dependencies
- Fixing kde source macroses
- Adding icon scriptlets

* Wed Sep 26 2012 Minh Ngo <nlminhtl@gmail.com> 0.90.4.2-1
- initial build
